com.ibm.openpages.api.application

## Interface ICognosReportColumnValue

-     public interface ICognosReportColumnValue

  The generic type for all column values returned from an ICognosReportRow. Contains the information about the column as well as the value. Cast the `getValue()` object to a specific type to get the value in its native Java type.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getColumnName()` Gets the name of the column.
    `java.lang.String` | `getDataType()` Gets the data type of the column.
    `java.lang.Object` | `getValue()` Gets the value of the column in the report row.

- - ### Method Detail

    - #### getColumnName

          java.lang.String getColumnName()

      Gets the name of the column.
      Returns:
        the name of the column as identified by the metadata of the Cognos report output

    - #### getDataType

          java.lang.String getDataType()

      Gets the data type of the column.
      Returns:
        the type of the column as identified by the metadata of the Cognos report output

    - #### getValue

          java.lang.Object getValue()

      Gets the value of the column in the report row. Depending on the data type, refer to the following table to determine the Java type to cast to.

      XML Schema Data Type | Cast to Java type...
      boolean | java.lang.Boolean
      byte | java.lang.Byte
      short | java.lang.Short
      int, unsignedShort | java.lang.Integer
      long, unsignedInt | java.lang.Long
      float | java.lang.Float
      double | java.lang.Double
      integer, nonPositiveInteger, nonNegativeInteger, negativeInteger, unsignedLong, positiveInteger | java.math.BigInteger
      decimal | java.math.BigDecimal
      string, durationsgYearMonth, gYear, gMonthDay, gDay, gMonth, NOTATION, token, normalizedString, language, Name, NMTOKEN, NCName, ID, IDREF, ENTITY | java.lang.String
      dateTime,time,date | java.util.Calendar
      base64Binary, hexBinary | byte[]
      anyURI | java.net.URI
      NMTOKENS, IDREFS, ENTITIES | java.lang.String[]
      Qname | javax.xml.namespace.QName

      Returns:
        Object representing the value of the column in the report row, or null.

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.